
Foreman - Bug #2667

process_hostgroup causes premature reboot in Discovered Hosts

06/14/2013 10:59 AM - Greg Sutcliffe

Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: Plugin integration   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

because we call host.update_attributes the object is saved which trigger orchestration. fix incoming.

Associated revisions

Revision b751fea3 - 06/17/2013 07:22 AM - Greg Sutcliffe

Fixes #2667 - Don't save during process_hostgroup

Revision c24bea22 - 06/17/2013 12:32 PM - Greg Sutcliffe

Fixes #2667 - Don't save during process_hostgroup

(cherry picked from commit b751fea393439dc653e90d2aa9d06b4015797c9f)

History

#1 - 06/14/2013 11:01 AM - Greg Sutcliffe

- Category set to Plugin integration

- Status changed from New to Ready For Testing

- Assignee set to Greg Sutcliffe

- Target version set to 1.2.0

https://github.com/theforeman/foreman/pull/721

#2 - 06/17/2013 11:17 AM - Greg Sutcliffe

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b751fea393439dc653e90d2aa9d06b4015797c9f.
